%% SPUSTAT SEKCIE
%% AMPLITUDOVO FREKVENCNA 
clear all; close all; clc;
set(groot,'defaulttextinterpreter','latex');  
set(groot, 'defaultAxesTickLabelInterpreter','latex');  
set(groot, 'defaultLegendInterpreter','latex');
set(0,'defaultAxesFontSize',20)
set(0, 'DefaultLineLineWidth', 2);
set(0, 'DefaultAxesLineWidth', 1);
set(0,'DefaultLineMarkerSize',5);
modra = [0.3010, 0.7450, 0.9330];
zelena = [0.4660, 0.6740, 0.1880];
cervena = [0.8350, 0.1, 0.0];
% NACITANIE VYSLEDKOV
load('NDOFMatlabPlotAF')
load('NDOFANSYSPlotAF')
load('SDOFMatlabPlotAF')

% VYKRESLENIE
figure('units','normalized','outerposition',[0 0 1 1])
om=Om_start:d_Om:Om_end;
    plot(om/(2*pi),(abs(V)),'Color',modra); %Matlab MDOF
    hold on
    plot(om/(2*pi),(abs(V_sdof)),'--','Color',cervena);%Matlab SDOF
    plot(f_ans,V_ans,'-o','Color',zelena); %ANSYS
    grid on
    xlabel('f [Hz]');
    ylabel('V [V]');
    legend('Matlab NDOF','Matlab SDOF', 'Ansys Workbench');
    title('$A_{0}$ = 50 mg')
    set(gca, 'XMinorTick','on', 'XMinorGrid','on', 'YMinorTick','on')
    set(gca,'box','off')
% saveas(gcf,'C:\Users\simon\OneDrive - Vysoké učení technické v Brně\VUT_Dokumenty\DP\LaTeX\DP_latex\grafy\FrekvencnaModely.png')

fprintf('Vmax matlab %.2f V \n',max(abs(V)))
[~,idx]=max(V);
fprintf('Umax matlab %.2f mm \n',max(abs(U))*1e3)
fprintf('f_0 matlab graf %.2f Hz \n',om(idx)/(2*pi))
fprintf('f_0 matlab matice %.2f Hz \n',Omega0/(2*pi))


%% TRANSIENTNA
clear all; close all; clc;
set(groot,'defaulttextinterpreter','latex');  
set(groot, 'defaultAxesTickLabelInterpreter','latex');  
set(groot, 'defaultLegendInterpreter','latex');
set(0,'defaultAxesFontSize',20)
set(0, 'DefaultLineLineWidth', 2);
set(0, 'DefaultAxesLineWidth', 1);
set(0,'DefaultLineMarkerSize',5);
modra = [0.3010, 0.7450, 0.9330];
zelena = [0.4660, 0.6740, 0.1880];
cervena = [0.8350, 0.1, 0.0];
load('NDOFANSYSPlotTR');
load('NDOFMatlabPlotTR');
load('SDOFMatlabPlotTR');

figure('units','normalized','outerposition',[0 0 1 1])
    plot(t_mat,V_mat,'Color',modra) %Simulink NDOF
    hold on
    plot(t_sdof,V_sdof,'--','Color',cervena) %simulink  SDOF
    plot(t_ans-0.1,V_ans,'Color',zelena) %Ansys
    xlabel('t [s]')
    ylabel('V [V]')
    grid on
    legend('Simulink NDOF', 'Simulink SDOF', 'Ansys Workbench')
    xlim([0 1])
    title('$U_{0}$ = 2 mm')
    set(gca,'box','off')
    set(gca, 'XMinorTick','on')
% saveas(gcf,'C:\Users\simon\OneDrive - Vysoké učení technické v Brně\VUT_Dokumenty\DP\LaTeX\DP_latex\grafy\TransientModely.png')
